|
PhdArxCadCmd.h[code]#pragma once
#include <memory>
#include <mutex>
/***********************************************
> Class Name: PhdArxCadCmd
> Describe: Arx调用cad命令(单例类)
> Author: peihaodong
> Created Time: 2021年7月22日
> Blog: https://blog.csdn.net/phd17621680432
> QQ: 841382590
**********************************************/
class PhdArxCadCmd final
{
public:
static PhdArxCadCmd* Instance();
private:
PhdArxCadCmd() = default;
static std::unique_ptr<PhdArxCadCmd> m_self; //声明静态对象
public:
//关闭命令回显
void EchoOff() const;
//刷新图纸
bool CallRegen() const;
//设置标注线性比例
bool SetDimLineScale(double dValue) const;
//设置标注全局比例
bool SetDimScale(double dValue) const;
//设置区域覆盖是否显示边框
bool SetWipeoutShow(bool bShow = false) const;
//设置倒圆角半径
bool SetFilletRadius(double dRadius) const;
//调用cad命令倒圆角
bool FilletByCommand(AcDbObjectId& idArc,const AcDbObjectId& idLine1, const AcDbObjectId& idLine2) const;
//定位实体
bool OrientationEnt(const AcDbObjectId& idEnt) const;
//zoom显示全部实体
bool ZoomAllEnt() const;
//zoom窗口
bool ZoomWindow(const AcGePoint3d& ptMin,const AcGePoint3d& ptMax) const;
};
//宏定义
#define g_ArxCadCmd PhdArxCadCmd::Instance()
[/code] |
|